# ROS setup with ft-euler

## Dependencies
- Install ros2-galactic
- Install ros-galactic-eufs-msgs for your architecture
- Set up eufs_sim

## Running ROS with ft-euler

1. In another terminal, run the following:
```bash
cd $EUFS_MASTER
source /opt/ros/galactic/setup.bash
source install/setup.bash
ros2 launch eufs_launcher eufs_launcher.launch.py
```

2. In another terminal, run the following:
```bash
cd ft-euler
source /opt/ros/galactic/setup.bash
python3 run_simulator.py
```
